org.h2.expression

## Enum IntervalOperation.IntervalOpType

- java.lang.Object
- - java.lang.Enum<IntervalOperation.IntervalOpType>
  - - org.h2.expression.IntervalOperation.IntervalOpType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IntervalOperation.IntervalOpType>

Enclosing class:
  IntervalOperation

    public static enum IntervalOperation.IntervalOpType
    extends java.lang.Enum<IntervalOperation.IntervalOpType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DATETIME_MINUS_DATETIME` Date-time minus date-time.
`DATETIME_MINUS_INTERVAL` Date-time minus interval.
`DATETIME_PLUS_INTERVAL` Date-time plus interval.
`INTERVAL_DIVIDE_NUMERIC` Interval divided by numeric.
`INTERVAL_MINUS_INTERVAL` Interval minus interval.
`INTERVAL_MULTIPLY_NUMERIC` Interval multiplied by numeric.
`INTERVAL_PLUS_INTERVAL` Interval plus interval.

### Method Summary

Methods
`static IntervalOperation.IntervalOpType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IntervalOperation.IntervalOpType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INTERVAL_PLUS_INTERVAL

    public static final IntervalOperation.IntervalOpType INTERVAL_PLUS_INTERVAL

Interval plus interval.

#### INTERVAL_MINUS_INTERVAL

    public static final IntervalOperation.IntervalOpType INTERVAL_MINUS_INTERVAL

Interval minus interval.

#### DATETIME_PLUS_INTERVAL

    public static final IntervalOperation.IntervalOpType DATETIME_PLUS_INTERVAL

Date-time plus interval.

#### DATETIME_MINUS_INTERVAL

    public static final IntervalOperation.IntervalOpType DATETIME_MINUS_INTERVAL

Date-time minus interval.

#### INTERVAL_MULTIPLY_NUMERIC

    public static final IntervalOperation.IntervalOpType INTERVAL_MULTIPLY_NUMERIC

Interval multiplied by numeric.

#### INTERVAL_DIVIDE_NUMERIC

    public static final IntervalOperation.IntervalOpType INTERVAL_DIVIDE_NUMERIC

Interval divided by numeric.

#### DATETIME_MINUS_DATETIME

    public static final IntervalOperation.IntervalOpType DATETIME_MINUS_DATETIME

Date-time minus date-time.

### Method Detail

#### values

    public static IntervalOperation.IntervalOpType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IntervalOperation.IntervalOpType c : IntervalOperation.IntervalOpType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IntervalOperation.IntervalOpType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null